package com.example.mapbox.response;

import androidx.annotation.AnyRes;

import com.example.mapbox.model.GeocodedWaypoint;
import com.example.mapbox.model.Leg;
import com.example.mapbox.model.Polyline;
import com.example.mapbox.model.Route;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class DirectionResponse {

    @SerializedName("geocoded_waypoints")
    List<GeocodedWaypoint> geocodedWaypoints;

    List<Route> routes;

    public List<GeocodedWaypoint> getGeocodedWaypoints() {
        return geocodedWaypoints;
    }

    public void setGeocodedWaypoints(List<GeocodedWaypoint> geocodedWaypoints) {
        this.geocodedWaypoints = geocodedWaypoints;
    }

    public List<Route> getRoutes() {
        return routes;
    }

    public void setRoutes(List<Route> routes) {
        this.routes = routes;
    }
}
